Bug 37619 - xircom cardbus broken in 2.2.19-6.2.1
xircom cardbus broken in 2.2.19-6.2.1
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-25 11:24 EDT by William Sudderth
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-23 12:16:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
excerpts from /var/log/messages (10.96 KB, text/plain)
2001-04-25 11:28 EDT, William Sudderth
no flags Details

  None (edit)
Description William Sudderth 2001-04-25 11:24:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)


IBM 10/100 Etherjet CardBus adapter is detected at boot, but cannot 
establish a network connection; worked in previous kernel release

Reproducible: Always
Steps to Reproduce:
Boot to stock 2.2.19-6.2.1 kernel and pcmcia-cs


Actual Results:  System cannot establish a TCP/IP connection

Expected Results:  System should have established a TCP/IP connection

Network is DHCP-only; cannot test whether it would work if I had a static 
IP.  Machine is a stock ThinkPad 600E.

I took a look at Kernel Traffic and the linux-kernel archive and it 
appears to this newbie that there is work going on in the 2.4 tree to 
correct the problem; I hope it will filter down to the 2.2.x kernel, RH 
6.2 level.

I'll attach relevant portions of /var/log/messages.
Comment 1 William Sudderth 2001-04-25 11:28:41 EDT
Created attachment 16386 [details]
excerpts from /var/log/messages
Comment 2 adi 2001-05-23 12:16:49 EDT
I have the same problem.  I have a Xircom 10/100 PCMCIA ethernet card.  It is
detected when pcmcia cardmgr starts (emits two beeps to indicate success), but
it cannot establish a network connection, though ifconfig shows eth0 as up, no
packets can get in or out.  I am using a static IP configuration.  Everything
worked fine before I upgraded to kernel-2.2.19-6.2.1.  All previous kernel RPMs
for 6.2 work fine.
Comment 3 Arjan van de Ven 2001-06-27 05:18:52 EDT
A new 2.2.19 kernel has been released yesterday that has the old xircom driver
back in. If this does not fix it, please reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.